#ifndef STREAM_REDIRECTOR_INCLUDED
#define STREAM_REDIRECTOR_INCLUDED
#include <iostream>
#include <fstream>

class stream_redirector
{
public:
    stream_redirector(char *log, char *error):
       logFile(log), errFile(error)
    {
        outbuf = std::cout.rdbuf(logFile.rdbuf());
        errbuf = std::cerr.rdbuf(errFile.rdbuf());
    }
    ~stream_redirector()
    {
	    std::cout.rdbuf(outbuf);
	    std::cerr.rdbuf(errbuf);
    }
private:
    std::ofstream errFile;
    std::ofstream logFile;
    std::streambuf *outbuf;
    std::streambuf *errbuf;

};


#endif //STREAM_REDIRECTOR_INCLUDED